/* =========== Visa pagos QR===========*/
#visa{
  z-index: 999;
  position: fixed;
  top: 0; right: 0;
  margin-top: 125px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: auto;
  height: auto;
  padding: 5px 0 5px 5px;
  box-sizing: border-box;
}
#visa_icon img{width: 100%; height: auto;}
#visa_icon{
  width: 38px;
  height: auto;
  box-sizing: border-box;
}

/* =========== Caja Pagos ===========*/
#pagos_qr_caja{
    z-index: 9999;
    position: fixed;
    top: 0;
    right: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    align-items: center;
    width: 100vw;
    height: 100vh;
    /* border:1px solid turquoise; */
    box-sizing: border-box;
    background-color: rgba(0, 0, 0, 0.9);
    transition: all .3s ease;
}

#pagos_qr {
z-index: 9;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  width: calc(100vw - 45px);
  height: auto;
  background-color: #fff;
  border-radius: 8px 0 0 8px;
}

/* =========== cabecera ===========*/
#pagos_qr_cabecera {
  display: flex;
  justify-content: center;
  width: 100%;
  min-height: 150px;
  margin: 20px 5% 0 5%;
  font-family: "Roboto";
  /* border:1px solid turquoise; */
  box-sizing: border-box;
}

/* =========== cabecera Logo ===========*/
#pagos_qr_cabecera_logo {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: auto;
  /* border:1px solid magenta; */
  box-sizing: border-box;
}
#pagos_qr_cabecera_logo_perfil img {
  width: 100%;
  height: auto;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, .1);
  border-radius: 8px;
}
#pagos_qr_cabecera_logo_perfil {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: auto;
  height: auto;
  /* border:1px solid turquoise; */
  box-sizing: border-box;
}
#pagos_qr_cabecera_texto {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
  height: auto;
  /* border:1px solid magenta; */
  box-sizing: border-box;
}


#pagos_qr_cabecera_texto_subtitulo {
  padding: 5px;
  font-size: 0.9em;
  text-align: center;
  line-height: 1em;
  /* border:1px solid magenta; */
  box-sizing: border-box;
}

/* =========== cabecera QR ===========*/

#pagos_qr_cabecera_qr_box {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: auto;
  /* border:1px solid rgba(74,255,74); */
  box-sizing: border-box;
}

/* =========== cabecera QR codigo ===========*/
#pagos_qr_cabecera_qr_logo_banco img {
  width: 100%;
  height: auto;
}
#pagos_qr_cabecera_qr_logo_banco {
  width: 100px;
  height: auto;
  margin-top: 10px;
  /* border:1px solid turquoise; */
  box-sizing: border-box;
}

#pagos_qr_cabecera_qr img {
  width: 100%;
  height: auto;
}
#pagos_qr_cabecera_qr {
  width: 150px;
  height: auto;
  /* border:1px solid magenta; */
  box-sizing: border-box;
}
/* =========== tarjetas ===========*/
#pagos_qr_cabecera_texto_titulo {
  width: 100%;
  height: auto;
  font-family: 'Roboto';
  font-size: 1em;
  font-weight: 600;
  text-align: center;
  color: rgba(79,206,93, 1);
  /* border:1px solid magenta; */
  box-sizing: border-box;
}

#pagos_qr_tarjetas_box {
  width: 100%;
  max-height: calc(100vh - 380px);
  padding: 2%;
  margin: 0 5%;
  /* border:1px solid red; */
  box-sizing: border-box;
  overflow-y: scroll;
  overflow-x: hidden;
}

#pagos_qr_tarjetas_box::-webkit-scrollbar {
  width: 3px;
  height: 3px;
}
#pagos_qr_tarjetas_box::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 4px;
}

#pagos_qr_banco_box {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  width: 100%;
  height: auto;
  margin: 5px 0;
  font-family: "Roboto";
  background-color: rgba(0, 0, 0, .1);
  border-radius: 8px;
}
#qr_tarjetas_banco {
  display: flex;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  height: 100%;
  margin: 5px 10px;
  /* border:1px solid turquoise; */
  box-sizing: border-box;
}
#qr_tarjetas_banco_logo {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  margin-right: 8px;
  background-color: #fff;
  box-sizing: border-box;
  border-radius: 8px;
}
#qr_tarjetas_banco_logo img {
  width: 100%;
}

#qr_tarjetas_banco_dato {
  width: calc(100% - 60px);
  height: auto;
  /* border:1px solid magenta; */
  box-sizing: border-box;
}
#qr_tarjetas_banco_nombre {
  font-size: 0.9em;
}
#qr_tarjetas_banco_numero {
  font-size: 0.8em;
  font-weight: 600;
}

/* =========== tarjeta tipo ===========*/
#qr_tarjetas_cuenta_tipo {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: auto;
  height: 100%;
  margin-right: 10px;
  font-size: 0.9em;
  /* border:1px solid rgba(74,255,74); */
  box-sizing: border-box;
}
.qr_tarjetas_cuenta_tipo_triangulo {
  width: 0;
  height: 0;
  margin: 10px;
  margin-top: 5px;
  border-right: 6px solid transparent;
  border-top: 6px solid transparent;
  border-left: 6px solid transparent;
  border-bottom: 6px solid rgba(79,206,93, 1);
  transform: rotate(-90deg);
}
/* =========== separador ===========*/
#pagos_qr_separador {
  width: 100%;
  height: 15px;
  margin: 0 5%;
  box-sizing: border-box;
  background-image: url(../iconos/linea_horizontal.svg);
  background-repeat: repeat-x;
  background-position: center;
}
/* =========== mensaje ===========*/
#pagos_qr_mensaje {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 30px;
  font-family: "roboto";
  font-size: 0.8em;
  text-align: center;
  white-space:pre-line;
}
/* =========== pie ===========*/
#pagos_qr_pie {
  display: flex;
  justify-content: flex-start;
  width: 100%;
  height: 70px;
  padding: 10px;
  box-sizing: border-box;
}
#pagos_qr_pie img {
  width: auto;
  height: 100%;
}



/* =========== pagos QR Background Cerrar ===========*/
#pagos_qr_background_cerrar img {opacity: 0.7;}
#pagos_qr_background_cerrar {
z-index: 0;
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: auto;
  height: 100vh;
  padding: 10px;
}

.hide_right{
    transform: translateX(100vw);
    transition: all .3s ease;
}